Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336552 - Review Request: exodusii - Library to store and retrieve transient finite element data
Summary: Review Request: exodusii - Library to store and retrieve transient finite ele...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 20:34 UTC by Christoph Junghans
Modified: 2016-10-12 23:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:47:33 UTC
Type: ---
dominik: fedora-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github losalamos flecsi issues 74 0 None None None Never

Description Christoph Junghans 2016-05-16 20:34:15 UTC
Spec URL: https://raw.githubusercontent.com/junghans/fedora-review/master/exodusii/exodusii.spec
SRPM URL: https://github.com/junghans/fedora-review/raw/master/exodusii/exodusii-6.02-0.src.rpm
Description: EXODUS II is a model developed to store and retrieve data for finite element analyses. It is used for preprocessing (problem definition), postprocessing
(results visualization), as well as code to code data transfer. An EXODUS II
data file is a random access, machine independent, binary file that is written
and read via C, C++, or Fortran library routines which comprise the
Application Programming Interface (API).

Fedora Account System Username: junghans

Comment 1 Christoph Junghans 2016-06-03 19:45:55 UTC
Ping

Comment 2 Dominik 'Rathann' Mierzejewski 2016-09-01 12:00:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is NOT present.
- Release should start at '1'.
- Please justify your strange naming convention
  (https://fedoraproject.org/wiki/Packaging:Naming).
  I think better naming would be:
  exodus - main C library
  exodus-fortran - Fortran library
  exodus-devel - devel package
  s/exodus/exodusii/ would also be acceptable.
- Is there any point in having the Fortran library in a separate package? Its
  dependencies are identical to the C library except it also depends on the C
  library.
- %defattr(-,root,root,-) is already the default, please drop it
- SONAMEs for the libraries are unversioned, which is dangerous to the consumers
  of this package if it's updated with ABI changes. If upstream does have ABI
  versioning, please work with upstream on this as well. Just renaming the
  files to include the version in the name is not acceptable:
  https://fedoraproject.org/wiki/Packaging:Guidelines#Downstream_.so_name_versioning
- license texts are not included as %license (exodus/COPYRIGHT and
  nemesis/COPYRIGHT)
- License: tag should be just BSD
- the READMEs are also worth including as %doc
- the paper about Exodus and the manual are also worth including, maybe in a
  separate -doc subpackage:
  http://prod.sandia.gov/techlib/access-control.cgi/1992/922137.pdf
  http://endo.sandia.gov/SEACAS/Documentation/exodusII.pdf
- CMAKE_INSTALL_PREFIX, CMAKE_C_FLAGS_RELEASE, CMAKE_CXX_FLAGS_RELEASE
  are already set by %cmake macro, please drop them.
- you don't need to set CMAKE_BUILD_TYPE
- Group: tag is invalid. Please either drop it (it's optional) or use a valid
  group name
- No Requires: %{name}%{?_isa} = %{version}-%{release} in exodusii-devel
- %changelog is empty. The first entry should be something like "initial
  package".
- Upstream seems to be here: https://github.com/gsjaardema/seacas#exodus
  and no versions are listed. Why are you packaging source tarball from gentoo
  distfiles instead of upstream snapshot? Please correct the URL tag, too.
- There's a testsuite (make check), but it requires /bin/csh to be present
  to run. Please add it to BR and add a %check section. You may need to set
  LD_LIBRARY_PATH accordingly. Also, 

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 35 files have unknown
     license. Detailed output of licensecheck in
     /home/rathann/build/review/1336552-exodusii/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libexoIIv2c , libexoIIv2for , exodusii-devel , exodusii-debuginfo
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libexoIIv2c-6.02-0.x86_64.rpm
          libexoIIv2for-6.02-0.x86_64.rpm
          exodusii-devel-6.02-0.x86_64.rpm
          exodusii-debuginfo-6.02-0.x86_64.rpm
          exodusii-6.02-0.src.rpm
libexoIIv2c.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
libexoIIv2c.x86_64: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
libexoIIv2c.x86_64: W: spelling-error %description -l en_US exodusII -> exodus Ii, exodus-ii, exodus
libexoIIv2c.x86_64: W: non-standard-group Productivity/Scientific/Math
libexoIIv2c.x86_64: E: no-changelogname-tag
libexoIIv2c.x86_64: W: invalid-license BSD-3-Clause
libexoIIv2c.x86_64: E: invalid-soname /usr/lib64/libexoIIv2c.so.6.02 libexoIIv2c.so
libexoIIv2c.x86_64: W: shared-lib-calls-exit /usr/lib64/libexoIIv2c.so.6.02 exit@GLIBC_2.2.5
libexoIIv2c.x86_64: W: no-documentation
libexoIIv2for.x86_64: W: spelling-error Summary(en_US) fortran -> FORTRAN, fort ran, fort-ran
libexoIIv2for.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
libexoIIv2for.x86_64: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
libexoIIv2for.x86_64: W: spelling-error %description -l en_US fortran -> FORTRAN, fort ran, fort-ran
libexoIIv2for.x86_64: W: spelling-error %description -l en_US exodusII -> exodus Ii, exodus-ii, exodus
libexoIIv2for.x86_64: W: non-standard-group Productivity/Scientific/Math
libexoIIv2for.x86_64: E: no-changelogname-tag
libexoIIv2for.x86_64: W: invalid-license BSD-3-Clause
libexoIIv2for.x86_64: E: invalid-soname /usr/lib64/libexoIIv2for.so.6.02 libexoIIv2for.so
libexoIIv2for.x86_64: W: no-documentation
exodusii-devel.x86_64: W: no-dependency-on exodusii/exodusii-libs/libexodusii
exodusii-devel.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
exodusii-devel.x86_64: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
exodusii-devel.x86_64: W: non-standard-group Development/Libraries/C and C++
exodusii-devel.x86_64: E: no-changelogname-tag
exodusii-devel.x86_64: W: invalid-license BSD-3-Clause
exodusii-devel.x86_64: W: only-non-binary-in-usr-lib
exodusii-devel.x86_64: W: no-documentation
exodusii-debuginfo.x86_64: E: no-changelogname-tag
exodusii-debuginfo.x86_64: W: invalid-license BSD-3-Clause
exodusii.src: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
exodusii.src: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
exodusii.src: W: non-standard-group Productivity/Scientific/Math
exodusii.src: E: no-changelogname-tag
exodusii.src: W: invalid-license BSD-3-Clause
5 packages and 0 specfiles checked; 7 errors, 27 warnings.




Rpmlint (debuginfo)
-------------------
Checking: exodusii-debuginfo-6.02-0.x86_64.rpm
exodusii-debuginfo.x86_64: E: no-changelogname-tag
exodusii-debuginfo.x86_64: W: invalid-license BSD-3-Clause
1 packages and 0 specfiles checked; 1 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
exodusii-devel.x86_64: W: no-dependency-on exodusii/exodusii-libs/libexodusii
exodusii-devel.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
exodusii-devel.x86_64: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
exodusii-devel.x86_64: W: non-standard-group Development/Libraries/C and C++
exodusii-devel.x86_64: E: no-changelogname-tag
exodusii-devel.x86_64: W: invalid-license BSD-3-Clause
exodusii-devel.x86_64: W: only-non-binary-in-usr-lib
exodusii-devel.x86_64: W: no-documentation
exodusii-debuginfo.x86_64: E: no-changelogname-tag
exodusii-debuginfo.x86_64: W: invalid-license BSD-3-Clause
libexoIIv2c.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
libexoIIv2c.x86_64: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
libexoIIv2c.x86_64: W: spelling-error %description -l en_US exodusII -> exodus Ii, exodus-ii, exodus
libexoIIv2c.x86_64: W: non-standard-group Productivity/Scientific/Math
libexoIIv2c.x86_64: E: no-changelogname-tag
libexoIIv2c.x86_64: W: invalid-license BSD-3-Clause
libexoIIv2c.x86_64: E: invalid-soname /usr/lib64/libexoIIv2c.so.6.02 libexoIIv2c.so
libexoIIv2c.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2c.so.6.02 /lib64/libhdf5.so.10
libexoIIv2c.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2c.so.6.02 /lib64/libhdf5_hl.so.10
libexoIIv2c.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2c.so.6.02 /lib64/libz.so.1
libexoIIv2c.x86_64: W: shared-lib-calls-exit /usr/lib64/libexoIIv2c.so.6.02 exit@GLIBC_2.2.5
libexoIIv2c.x86_64: W: no-documentation
libexoIIv2for.x86_64: W: spelling-error Summary(en_US) fortran -> FORTRAN, fort ran, fort-ran
libexoIIv2for.x86_64: W: spelling-error %description -l en_US preprocessing -> reprocessing, p reprocessing, teleprocessing
libexoIIv2for.x86_64: W: spelling-error %description -l en_US postprocessing -> post processing, post-processing, teleprocessing
libexoIIv2for.x86_64: W: spelling-error %description -l en_US fortran -> FORTRAN, fort ran, fort-ran
libexoIIv2for.x86_64: W: spelling-error %description -l en_US exodusII -> exodus Ii, exodus-ii, exodus
libexoIIv2for.x86_64: W: non-standard-group Productivity/Scientific/Math
libexoIIv2for.x86_64: E: no-changelogname-tag
libexoIIv2for.x86_64: W: invalid-license BSD-3-Clause
libexoIIv2for.x86_64: E: invalid-soname /usr/lib64/libexoIIv2for.so.6.02 libexoIIv2for.so
libexoIIv2for.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for.so.6.02 /lib64/libnetcdf.so.11
libexoIIv2for.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for.so.6.02 /lib64/libhdf5.so.10
libexoIIv2for.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for.so.6.02 /lib64/libhdf5_hl.so.10
libexoIIv2for.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for.so.6.02 /lib64/libz.so.1
libexoIIv2for.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 6 errors, 30 warnings.



Requires
--------
exodusii-devel (rpmlib, GLIBC filtered):
    libexoIIv2c
    libexoIIv2c.so()(64bit)
    libexoIIv2for
    libexoIIv2for.so()(64bit)

exodusii-debuginfo (rpmlib, GLIBC filtered):

libexoIIv2c (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libhdf5.so.10()(64bit)
    libhdf5_hl.so.10()(64bit)
    libnetcdf.so.11()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

libexoIIv2for (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libexoIIv2c.so()(64bit)
    libhdf5.so.10()(64bit)
    libhdf5_hl.so.10()(64bit)
    libnetcdf.so.11()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
exodusii-devel:
    exodusii-devel
    exodusii-devel(x86-64)

exodusii-debuginfo:
    exodusii-debuginfo
    exodusii-debuginfo(x86-64)

libexoIIv2c:
    libexoIIv2c
    libexoIIv2c(x86-64)
    libexoIIv2c.so()(64bit)

libexoIIv2for:
    libexoIIv2for
    libexoIIv2for(x86-64)
    libexoIIv2for.so()(64bit)



Source checksums
----------------
http://distfiles.gentoo.org/distfiles/exodus-6.02.tar.gz :
  CHECKSUM(SHA256) this package     : a3d7ae6ad433bb9655748c0e3e7a95e66c46d9df1e4c3d8d7e125af3fec89193
  CHECKSUM(SHA256) upstream package : a3d7ae6ad433bb9655748c0e3e7a95e66c46d9df1e4c3d8d7e125af3fec89193


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1336552
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Christoph Junghans 2016-09-01 19:52:31 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #2)
> Issues:
> =======
> - Dist tag is NOT present.
Done
> - Release should start at '1'.
Done
> - Please justify your strange naming convention
Following Debian and OpenSuse! There was an exodus v1 and this is exodus v2, hence exodusII 
> - Is there any point in having the Fortran library in a separate package? Its
>   dependencies are identical to the C library except it also depends on the C
>   library.
Combined
> - %defattr(-,root,root,-) is already the default, please drop it
Done
> - SONAMEs for the libraries are unversioned, which is dangerous to the
> consumers
Added a patch from OpenSue to fix that.

> - license texts are not included as %license (exodus/COPYRIGHT and
>   nemesis/COPYRIGHT)
Done
> - License: tag should be just BSD
Done
> - the READMEs are also worth including as %doc
Done
> - the paper about Exodus and the manual are also worth including, maybe in a
>   separate -doc subpackage:
>   http://prod.sandia.gov/techlib/access-control.cgi/1992/922137.pdf
>   http://endo.sandia.gov/SEACAS/Documentation/exodusII.pdf
I could do that
> - CMAKE_INSTALL_PREFIX, CMAKE_C_FLAGS_RELEASE, CMAKE_CXX_FLAGS_RELEASE
>   are already set by %cmake macro, please drop them.
Done
> - you don't need to set CMAKE_BUILD_TYPE
Done
> - Group: tag is invalid. Please either drop it (it's optional) or use a valid
>   group name
Done
> - No Requires: %{name}%{?_isa} = %{version}-%{release} in exodusii-devel
Done
> - %changelog is empty. The first entry should be something like "initial
>   package".
Done
> - Upstream seems to be here: https://github.com/gsjaardema/seacas#exodus
>   and no versions are listed. Why are you packaging source tarball from
> gentoo
>   distfiles instead of upstream snapshot? Please correct the URL tag, too.
seacas has a different API and the link to the tarball on the github page actaully not pointing to exodus, but back to seacas.
> - There's a testsuite (make check), but it requires /bin/csh to be present
>   to run. Please add it to BR and add a %check section. You may need to set
>   LD_LIBRARY_PATH accordingly. Also, 
Done
> ===== MUST items =====
> [!]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
Done
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSD (3 clause)", "Unknown or generated". 35 files have unknown
>      license. Detailed output of licensecheck in
>      /home/rathann/build/review/1336552-exodusii/licensecheck.txt
DOne
> [!]: License file installed when any subpackage combination is installed.
Done
> [!]: Changelog in prescribed format.
Done
> [!]: Each %files section contains %defattr if rpm < 4.4
>      Note: %defattr present but not needed
Done
> [!]: Package is named according to the Package Naming Guidelines.
Done ?
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
N/A
> [!]: Package complies to the Packaging Guidelines
Done
 
> ===== SHOULD items =====
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      libexoIIv2c , libexoIIv2for , exodusii-devel , exodusii-debuginfo
Done
> [!]: %check is present and all tests pass.
Done

New SPRM URL:
https://github.com/junghans/fedora-review/raw/master/exodusii/exodusii-6.02-1.fc24.src.rpm

Comment 4 Christoph Junghans 2016-09-02 20:07:43 UTC
(In reply to Christoph Junghans from comment #3)
> (In reply to Dominik 'Rathann' Mierzejewski from comment #2)
> > - the paper about Exodus and the manual are also worth including, maybe in a
> >   separate -doc subpackage:
> >   http://prod.sandia.gov/techlib/access-control.cgi/1992/922137.pdf
> >   http://endo.sandia.gov/SEACAS/Documentation/exodusII.pdf
> I could do that
Done

Comment 5 Dominik 'Rathann' Mierzejewski 2016-09-03 10:10:58 UTC
After each change during review process, you should increase the Release: field, describe the changes in %changelog and post a new set of URLs for the spec file and the SRPM. That way, fedora-review can be run again on the new files.

Comment 6 Dominik 'Rathann' Mierzejewski 2016-09-03 10:12:04 UTC
The spec file URL stays the same, but the SRPM should be different due to bumped Release field.

Comment 7 Christoph Junghans 2016-09-03 14:01:09 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #6)
> The spec file URL stays the same, but the SRPM should be different due to
> bumped Release field.
Done

New SPRM URL:
https://github.com/junghans/fedora-review/raw/master/exodusii/exodusii-6.02-2.fc24.src.rpm

Comment 8 Dominik 'Rathann' Mierzejewski 2016-09-08 12:33:29 UTC
Please post both spec and srpm URL each time you make a revision.

Issues found in current revision:

%install
[...]
cp %{S:1} %{S:2} %{buildroot}/%{_docdir}/%{name}

please use either cp -p or install -p here. (https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps)

Could you take a look at the test suite output? It's showing diffs, but there are apparently only whitespace differences because as far as I can tell all the numbers are the same.

Please fix this rpmlint warning:

exodusii-devel.x86_64: W: no-dependency-on exodusii/exodusii-libs/libexodusii

This is actually mandated by the guidelines (https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package).

-doc subpackage should be noarch (BuildArch: noarch).

Rpmlint (installed packages)
----------------------------
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2c-5.14.0.so /lib64/libhdf5.so.10
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2c-5.14.0.so /lib64/libhdf5_hl.so.10
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2c-5.14.0.so /lib64/libz.so.1
exodusii.x86_64: W: shared-lib-calls-exit /usr/lib64/libexoIIv2c-5.14.0.so exit@GLIBC_2.2.5
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libnetcdf.so.11
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libhdf5.so.10
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libhdf5_hl.so.10
exodusii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libz.so.1
exodusii-devel.x86_64: W: no-dependency-on exodusii/exodusii-libs/libexodusii

It looks like the libraries are linked to libhdf5 and libhdf5_hl unnecessarily. That is, they don't seem to reference any symbols from libhdf5*. Please verify and fix if necessary.

README is packaged twice (once in main package and second time in -doc).

Comment 9 Christoph Junghans 2016-09-09 20:51:17 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #8)
> Please post both spec and srpm URL each time you make a revision.
See below
> 
> Issues found in current revision:
> 
> %install
> [...]
> cp %{S:1} %{S:2} %{buildroot}/%{_docdir}/%{name}
Done
> Could you take a look at the test suite output? It's showing diffs, but
> there are apparently only whitespace differences because as far as I can
> tell all the numbers are the same.
The lines just came out in the wrong order, but the results match, patch added
> 
> Please fix this rpmlint warning:
> 
> exodusii-devel.x86_64: W: no-dependency-on exodusii/exodusii-libs/libexodusii
Done
> -doc subpackage should be noarch (BuildArch: noarch).
Done
> 
> Rpmlint (installed packages)
> ----------------------------
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2c-5.14.0.so /lib64/libhdf5.so.10
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2c-5.14.0.so /lib64/libhdf5_hl.so.10
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2c-5.14.0.so /lib64/libz.so.1
> exodusii.x86_64: W: shared-lib-calls-exit /usr/lib64/libexoIIv2c-5.14.0.so
> exit@GLIBC_2.2.5
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libnetcdf.so.11
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libhdf5.so.10
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libhdf5_hl.so.10
> exodusii.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libexoIIv2for-5.14.0.so /lib64/libz.so.1
> exodusii-devel.x86_64: W: no-dependency-on exodusii/exodusii-libs/libexodusii
> 
> It looks like the libraries are linked to libhdf5 and libhdf5_hl
> unnecessarily. That is, they don't seem to reference any symbols from
> libhdf5*. Please verify and fix if necessary.
How did you get these warning? I ran rpmlint before, but didn't see these.

Anyhow, they linked against libz and libhdf5 to support static libs, which we don't build. Fix that over-linking bug

> README is packaged twice (once in main package and second time in -doc).
Done

Spec URL: https://raw.githubusercontent.com/junghans/fedora-review/master/exodusii/exodusii.spec
SRPM URL: https://github.com/junghans/fedora-review/raw/master/exodusii/exodusii-6.02-3.fc24.src.rpm

Comment 11 Dominik 'Rathann' Mierzejewski 2016-09-28 19:00:48 UTC
One more small issue:
The devel package should depend on the main package with %{_isa}, since it's archful. Only noarch packages can skip %{_isa}.
Requires:   %{name}%{_isa} = %{version}-%{release}
You can fix this upon import.

Other than that, it looks like all issues are fixed. Good work! Package approved.

Comment 12 Gwyn Ciesla 2016-09-28 23:12:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/exodusii

Comment 13 Fedora Update System 2016-09-29 15:21:59 UTC
exodusii-6.02-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ec60759ec

Comment 14 Fedora Update System 2016-09-30 00:23:25 UTC
exodusii-6.02-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef86cfeae3

Comment 15 Fedora Update System 2016-10-05 01:56:03 UTC
exodusii-6.02-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ec60759ec

Comment 16 Fedora Update System 2016-10-05 02:26:48 UTC
exodusii-6.02-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef86cfeae3

Comment 17 Fedora Update System 2016-10-09 02:47:33 UTC
exodusii-6.02-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-10-12 23:23:34 UTC
exodusii-6.02-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.